import request from '@/utils/request'

// 生产情况指标
export function getGrodIndicator(query) {
  return request({
    url: '/app/statistics/getGrodIndicator',
    method: 'get',
    params: query
  })
}

// 产出情况指标
export function getOutputIndicator(query) {
  return request({
    url: '/app/statistics/getOutputIndicator',
    method: 'get',
    params: query
  })
}

// 供应商供应排名
export function getSupplierRank(query) {
  return request({
    url: '/app/statistics/getSupplierRank',
    method: 'get',
    params: query
  })
}

// 肉商接收排名
export function getPurchaserRank(query) {
  return request({
    url: '/app/statistics/getPurchaserRank',
    method: 'get',
    params: query
  })
}

// 不同产地供应商供应数量
export function getOriginAmount(query) {
  return request({
    url: '/app/statistics/getOriginAmount',
    method: 'get',
    params: query
  })
}


// 不同去向肉商销售数量
export function getSaleAmount(query) {
  return request({
    url: '/app/statistics/getSaleAmount',
    method: 'get',
    params: query
  })
}

// 入场无害化检验统计
export function getHarmlessAmount(query) {
  return request({
    url: '/app/statistics/getHarmlessAmount',
    method: 'get',
    params: query
  })
}

// 获取指定时间范围内累计计划屠宰
export function getEntranceAmountWithTime(query) {
  return request({
    url: '/app/statistics/getEntranceAmountWithTime',
    method: 'get',
    params: query
  })
}

// 获取指定时间范围白条重量曲线
export function getSideWeight(query) {
  return request({
    url: '/app/statistics/getSideWeight',
    method: 'get',
    params: query
  })
}

// 获取指定时间范围其他产品重量曲线
export function getOtherProductWeight(query) {
  return request({
    url: '/app/statistics/getOtherProductWeight',
    method: 'get',
    params: query
  })
}
